Function MEM_Read_Dword(ByVal Pid as DWord, ByVal Addre as UInteger) as DWord
   Dim phandle as HANDLE
   Dim by as DWord
   
   phandle = OpenProcess(&H1F0FFF, 0, Pid)
   If phandle > 0 Then
      ReadProcessMemory(phandle, Addre, @by, 4, 0& )
      Function = by
      CloseHandle phandle
   End If
End Function